Scicos Block
fr - eng

##
Constant

### Contents

- Constant
  - Palette
  - Description
  - Dialog box
  - Default properties
  - Interfacing function
  - Computational function
  - Authors

### Palette

- Sources - Sources palette

### Description

This block is a constant value generator.

### Dialog box

- Constant
  A matrix of any type.
  The size of the matrix gives the size of the regular output port.
  The constant(i,j) value is the component(i,j) value of the output port.
  From this value the block inherits its data type.
  Properties : Type 'mat' of size [-1,-2].

### Default properties

- always active: no
- direct-feedthrough: no
- zero-crossing: no
- mode: no
- regular outputs:
  - port 1 : size [1,1] / type 1
- number/sizes of activation inputs: 0
- number/sizes of activation outputs: 0
- continuous-time state: no
- discrete-time state: no
- object discrete-time state: no
- name of computational function: cstblk4

### Interfacing function

- SCI/macros/scicos_blocks/Sources/CONST_m.sci [view code]

### Computational function

- SCI/routines/scicos/cstblk4.c (Type 4) [view code]

### Authors

- Fady NASSIF INRIA
- Alan Layec INRIA